/// <reference path="../pb_data/types.d.ts" />
migrate((app) => {
  const collection = app.findCollectionByNameOrId("pbc_1905410326")

  // remove field
  collection.fields.removeById("text3520360348")

  // add field
  collection.fields.addAt(10, new Field({
    "hidden": false,
    "id": "date3520360348",
    "max": "",
    "min": "",
    "name": "released_at",
    "presentable": false,
    "required": false,
    "system": false,
    "type": "date"
  }))

  return app.save(collection)
}, (app) => {
  const collection = app.findCollectionByNameOrId("pbc_1905410326")

  // add field
  collection.fields.addAt(3, new Field({
    "autogeneratePattern": "",
    "hidden": false,
    "id": "text3520360348",
    "max": 0,
    "min": 0,
    "name": "released_at",
    "pattern": "",
    "presentable": false,
    "primaryKey": false,
    "required": false,
    "system": false,
    "type": "text"
  }))

  // remove field
  collection.fields.removeById("date3520360348")

  return app.save(collection)
})
